# 更新被补偿房屋

更新被补偿房屋数据，支持批量。被补偿房屋指的是将要征收或拆迁的房子，不是安置房源

## 接口名称

updateHouse

>## 用法

- **URL：**/api/interface/user/updateHouse/invoke

- **Method:** POST
> **Note:** Domain 必须切换到基地这一作用域,切换作用域，参照“作用域”部分

## 参数

- **token:**  token是在登陆后获取的tokenId，加密后的结果。
- **dmPath:** 作用域路径 例如 "/XH/XH2018003/XH2018003-01"，/XH 代表徐汇区，/XH/XH2018003代表某个项目，其中XH2018003 是项目编号
- **params:**
  - **data**  新增的数据，必须是数组，即使只有一条数据。

```json
[{
    id:int-----------------------------House（被补偿房屋）的ID
    name:string,------------------------名称（房屋的名称）
    zhengZaiMianJi:double,--------------证载面积
    pingGuDanJia:double,----------------评估单价
    pingGuJiaGe:double,-----------------评估价格
    fangWuYongTu:string,----------------房屋用途
    shiFouRenDing:string,---------------是否认定
    yangTaiMianJi:double,---------------阳台面积
    pengSheMianJi:double,---------------棚舍面积
    chaoLing:string,--------------------是否超龄老房
    fangWuLeiXing:string,---------------房屋类型
    renDingMianJi:double,---------------认定面积
    ceHuiMianJi:double,-----------------测绘面积
    tengKongShiJian:timestamp-----------腾空时间
}]
```

## 返回值

无

## 例子

```json
{
    "token": "Y61Cp_zXDYTPYiGYUEmhD0a4uYu7-9NsetKtQaR7Gs0XEOJScQ9Lk1-kFIH_MgK0zZgu_6BMLqJRtUhnS4HDuB_YvNsMcIX5cALlfWHpW_Vetjn2VCL4_k-7hbMVXsEbvscZUfMO-CkA1wh0MpH40oFweZao6YWSZG3Qg4AuWg4",
    "dmPath": "/XH/XH2018003/XH2018003-01",
    "params": {
        "data": [{
            "id": "18251",
            "ceHuiMianJi": 0.0,
            "fangWuLeiXing": "",
            "fangWuYongTu": "居住",
            "name": "主屋",
            "pengSheMianJi": 0.0,
            "pingGuDanJia": 758.0,
            "pingGuJiaGe": 141124.44,
            "renDingMianJi": 0.0,
            "shiFouRenDing": "是",
            "tengKongShiJian": "1900/01/01",
            "yangTaiMianJi": 0.0,
            "zhengZaiMianJi": 186.18
        },
        {
            "id": "18155",
            "ceHuiMianJi": 0.0,
            "fangWuLeiXing": "",
            "fangWuYongTu": "居住",
            "name": "附屋",
            "pengSheMianJi": 0.0,
            "pingGuDanJia": 673.0,
            "pingGuJiaGe": 51740.24,
            "renDingMianJi": 0.0,
            "shiFouRenDing": "是",
            "tengKongShiJian": "2017/01/08",
            "yangTaiMianJi": 0.0,
            "zhengZaiMianJi": 76.88
        }]
    }
}
```