# 更新人口

更新人口数据，支持批量。批量能有效提高性能，所以能批量就批量。

## 接口名称

updatePeople
>## 用法

- **URL：**/api/interface/user/updatePeople/invoke

- **Method:** POST
> **Note:** Domain 必须切换到基地这一作用域,切换作用域，参照“作用域”部分

## 参数

- **token:**  token是在登陆后获取的tokenId，加密后的结果。
- **dmPath:** 作用域路径 例如 "/XH/XH2018003/XH2018003-01"，/XH 代表徐汇区，/XH/XH2018003代表某个项目，其中XH2018003 是项目编号
- **params:**
  - **data**  新增的数据，必须是数组，即使只有一条数据。

 ```json
[{
    fid: string,-------------------------------------Family(两清)的ID
    name: string,------------------------------------姓名
    idCard: string,----------------------------------身份证号
    sex: string,-------------------------------------性别
    age: int,----------------------------------------年龄
    chanQuanRen: boolean,----------------------------是否产权人
    relationWithChanQuanRen: string,-----------------与产权人关系
    huZhu: boolean,----------------------------------是否户主
    relationWithHuZhu: string,-----------------------与户主关系
    teKun: boolean,----------------------------------是否特困
    daBing: boolean,---------------------------------是否大病
    gaoLing: boolean,--------------------------------是否高龄
    daLingWeiHun: boolean,---------------------------是否大龄未婚
    canJi: boolean,----------------------------------是否残疾
    zaiCe: boolean,----------------------------------是否在册
    anZhi: boolean,----------------------------------是否安置
    weiYun: boolean,---------------------------------是否未孕
    duShengZiNv: boolean,----------------------------是否独生子女
    birthDay: date,----------------------------------出生年月
    cunZaiWeiHeDingPeiOu: boolean--------------------是否存在未核定配偶
}]
 ```

## 返回值

无

## 例子

```json
{
    "token": "f_pIt_6oIF2qzNto6hw-hYqet8HdQKext5jvXnHa0omEgmNypxeYNbJRs3RJl7buITnUT3btpxgPiqajQe8Rrh01767hj-BFfo8ug-SDEUN9HU4JXI7x2B00S-4vE72w_k-8LAZ1wzBH3-a6ktXORSnq_kDAYIP7X3F3hvrxm48",
    "dmPath": "/XH/XH2018003/XH2018003-01",
    "params": {
        "data": [
            {
                "id": "18301",
                "age": 0,
                "birthDay": "1900/01/01",
                "idCard": "410726199104048172",
                "name": "吴某",
                "relationWithChanQuanRen": "朋友",
                "sex": "男",
                "anZhi": "是",
                "canJi": false,
                "chanQuanRen": false,
                "cunZaiWeiHeDingPeiOu": false,
                "daBing": false,
                "daLingWeiHun": false,
                "duShengZiNv": false,
                "huZhu": false,
                "teKun": false,
                "weiYun": false,
                "zaiCe": "否",
                "gaoLing": false
            },
            {
                "id": "18302",
                "age": 0,
                "birthDay": "1900/01/01",
                "idCard": "37172419970404447X",
                "name": "宇辰",
                "relationWithChanQuanRen": "无",
                "sex": "男",
                "anZhi": "是",
                "canJi": false,
                "chanQuanRen": false,
                "cunZaiWeiHeDingPeiOu": false,
                "daBing": false,
                "daLingWeiHun": false,
                "duShengZiNv": false,
                "huZhu": false,
                "teKun": false,
                "weiYun": false,
                "zaiCe": "否",
                "gaoLing": false
            }
        ]
    }
}
```

>**Note:** 测试时，例子中的参数token中的值不可以直接使用。本接口在使用时，最好调用一下isLiangQingLocked 接口，判断两情数据是否已锁定，如果数据状态是已锁定状态，那么数据更新会失败，
result

```json
{
    "errorCode": 65555,
    "message": "两清信息已锁定,请申请解锁后再更改"
}
```